import { jsx } from "react/jsx-runtime";
import { TokenGRAIN as TokenGRAIN$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenGRAIN = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "GRAIN", "data-name": "TokenGRAIN", ...props, children: /* @__PURE__ */ jsx(TokenGRAIN$1, { variant }) });
  }
);
TokenGRAIN.displayName = "TokenGRAIN";
Object.assign(TokenGRAIN, { isGdsIcon: true });
export {
  TokenGRAIN
};
